Summary:  Terminal Server Client is a frontend for rdesktop for the GNOME2 platform
Summary(ru): Termainal Server Client  GTK2-  rdesktop
Name:     tsclient
Version:  0.124
Release:  alt2
License: GPL
Group:    Networking/Remote access
URL:      http://www.gnomepro.com/tsclient/ 
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}.menu
Requires:	glib2 >= 2.0.0, gtk2 >= 2.0.0, rdesktop >= 1.2.0

%define _desktop        %{_datadir}/gnome/apps/Internet
%define _serverdir      %{_prefix}/lib/bonobo/servers


# Automatically added by buildreq on Fri Oct 31 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libORBit2 libart_lgpl-devel libatk-devel libaudiofile libbonobo2-devel libbonoboui-devel libexpat libglade2 libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg libpango-devel libpopt-devel libssl libxml2-devel pkgconfig zlib-devel

%description
Terminal Server Client is a frontend for rdesktop for the GNOME2 platform.
%description -l ru_RU.KOI8-R
Termainal Server Client  GTK2-  rdesktop.
 RDP   XDMCP, ICA, VNC,    .

%prep
%setup -qn %name-%version


%build
%__rm -f configure aclocal.m4 libtool.m4
%__aclocal
%__autoconf
%configure
%make_build


%install

%makeinstall prefix=%buildroot%prefix libexec=%buildroot%prefix/bin 
%__install -m644 -pD %name.desktop %buildroot%_desktop/%name.desktop
%__install -m644 -p *.png %buildroot%_datadir/pixmaps/
%__install -m755 -p applet/%name-applet %buildroot%_bindir/%name-applet
%__install -m644 -pD %SOURCE1 %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc README ChangeLog AUTHORS NEWS COPYING INSTALL VERSION
%_bindir/*
%_serverdir/GNOME_TSClientApplet.server
%_desktop/tsclient.desktop
%_datadir/pixmaps/*.png
%_datadir/pixmaps/tsclient
%_datadir/locale/*/LC_MESSAGES/tsclient.mo
%_datadir/application-registry/tsclient.*
%_datadir/mime-info/tsclient.*
%_menudir/%name

%changelog
* Fri Oct 31 2003 Egor S. Orlov <oes@altlinux.ru> 0.124-alt2
- Fixed vendor 

* Mon Sep 22 2003 Egor S. Orlov <oes@altlinux.ru> 0.124-alt1
- New version 

* Thu Sep 04 2003 Egor S. Orlov <oes@altlinux.ru> 0.120-alt0.3
- Added russian translation

* Mon Aug 25 2003 Egor S. Orlov <oes@altlinux.ru> 0.120-alt0.2
- Added russian translation for summary and description 

* Tue Aug 05 2003 Egor S. Orlov <oes@altlinux.ru> 0.120-alt0.1
- Initial build for ALT 
- Added menu item

* Mon Sep 30 2002 - Erick Woods <erick@gnomepro.com>
 - This file was created

